sjacksonesriaustralia-com-au-esridist

How to use 3.2 API with Dojo 1.8?

Discussion created by sjacksonesriaustralia-com-au-esridist Employee on Jan 3, 2013
Latest reply on Jan 7, 2013 by jacobsj
We are building an application in Dojo 1.8, and a small part of our application will need to incorporate the Esri Javascript API (we will likely use the Compact API, still assessing what we need). 

The Esri help has a topic on how to mix different dojo versions.  The solution they provide is for 1.7 of Dojo and it will not work for 1.8 (the property they use has been deprecated).  I also spotted this working example, but again this is not using 1.8 and scopeMap has been deprecated.

For versions after 1.7, Esri suggests to build a 'custom' dojo library to replace the dojo namespace.
I need some assistance/examples on how one would go about doing this for my application
.

Our application won't actually be finished until mid 2013, so also any incite into support for dojo 1.8 at the next API version?  However we still need to continue development in the interim.

Outcomes